/*==========================================================================
**
**	psdb_io.h
**
**	PSDB IO functions
**
**==========================================================================
**
**	(c) Copyright 1998 ZNYX Corporation
**	All Rights Reserved.
**
**==========================================================================
**
**	Modification History:
**	ram	01/12/99 v1.0	Created
**
**==========================================================================
**
**	Notes:
**==========================================================================
*/

#ifndef PSDB_SIO_H
#define PSDB_SIO_H
#include <pdk_types.h>

rmapi_fd_t psdb_sio_open(char *dev, uint32_t flags);
uint32_t psdb_sio_close(rmapi_fd_t fd);
uint32_t psdb_sio_send(rmapi_fd_t fd, pdk_psdb_rhdr_t *prp, int32_t read_flag);
uint32_t psdb_sio_get(rmapi_fd_t fd, void *ptr, uint32_t len);

#endif /* PSDB_SIO_H */
